Bug 68644 - Additional make flag for ProFTPd
Summary: Additional make flag for ProFTPd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Haro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-03 23:00 UTC by Krzysztof Stryjek
Modified: 2004-08-28 19:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof Stryjek 2004-07-03 23:00:33 UTC
	ProFTPd is powerful FTPd demona. It's possible to compile additional
modules for it, for exampople mod_ldap, mod_ssl and others. But there is no
option to compile quotatab-modules. These are file, LDAP and SQL based
quotas.

Fix: Here is port's Makefile patch which includes possibility to compile
quotas for ftpd.

------------------------------- cut here ---------------------------------------


I hope this patch will be useful for other administrators.

Greetings from Poland
Krzysztof Stryjek--OjUYWGd5XJJTB4ugVZlTT6GlW1QUJFtdq0F1eIlb3oRTBtkt
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig	Sat May 15 04:07:22 2004
+++ Makefile	Sat Jul  3 23:43:24 2004
@@ -107,6 +107,16 @@
 PROFTPD_LIBS+=	-lssl -lcrypto
 .endif
 
+.if defined(WITH_QUOTA)
+MODULES:=${MODULES}:mod_quotatab:mod_quotatab_file
+.if defined(WITH_LDAP)
+MODULES:=${MODULES}:mod_quotatab_ldap
+.endif
+.if defined(WITH_POSTGRESQL) || defined(WITH_MYSQL)
+MODULES:=${MODULES}:mod_quotatab_sql
+.endif
+.endif
+
 # Keep this here below, in case similar constructs need to be made
 CONFIGURE_ENV+=	"LIBS=${PROFTPD_LIBS}"
 
------------------------------- cut here ---------------------------------------
How-To-Repeat: 	Just cd ${PORTS}/ftp/proftpd/ && make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-07-04 01:22:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mharo

Over to maintainer.
Comment 2 Michael Haro freebsd_committer 2004-08-28 19:11:18 UTC
State Changed
From-To: open->closed

your change was added to the port. 

thanks!